Retrieve OrgUser Groups
Retrieve a list of User Groups for an OrgUser.
Retrieves a list of all User Groups that a specific user belongs to within an Organization. The list can be paginated for easier management.
Notes:
- User Groups as Resource Groups. A User Group is a Resource Group - one used to group resources of type
user. You can use the Create ResourceGroup call detailed in the ResourceGroup section to create a User Resource Group, and then use the Add Item and Remove Item calls to manage which Users belong to the User Resource Group. - Using the
inheritedparameter for the Retrieve OrgUser Groups call. Resource Groups can be nested, which means a User Resource Group can contain another User Resource Group as a member. You can use theinheritedparameter with this Retrieve OrgUser Groups call as a QUERY PARAMETER to control which User Resource Groups are returned:
- If the user specified belongs to a User Resource Group that is nested as part of another User Resource Group:
- If
inherited = TRUE, then any Groups the user belongs to AND any parent Groups those Groups belong to as nested Groups are returned. - If
inherited = FALSE, then only those User Resource Groups to which the user belongs are returned.
- If
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
The unique identifier (UUID) of the user.
Query Parameters
Indicates whether or not to include inherited Groups.
- TRUE - includes inherited groups.
- FALSE - excludes inherited groups.
NOTE: See explanation above for details on how to use this parameter.
Specifies the maximum number of User Groups to retrieve per page.
1 <= x <= 200The nextToken for multi-page retrievals. It is used to fetch the next page of User Groups in a paginated list.
Response
Returns a list of User Groups
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The name of the Resource Group.
The date and time (in ISO-8601 format) when the Resource Group was created.
The date and time (in ISO-8601 format) when the Resource Group was last modified.
The unique identifier (UUID) of the user who created this Resource Group.
The unique identifier (UUID) of the user who last modified this Resource Group.